Bug 207799 - ppmquantall syntax error
ppmquantall syntax error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-23 08:54 EDT by Steve Grubb
Modified: 2013-07-02 19:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-24 01:05:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch correcting problem (521 bytes, patch)
2006-09-23 08:54 EDT, Steve Grubb
no flags Details | Diff

  None (edit)
Description Steve Grubb 2006-09-23 08:54:38 EDT
Description of problem:
[root ~]# sh -n /usr/bin/ppmquantall
/usr/bin/ppmquantall: line 65: syntax error near unexpected token `('
/usr/bin/ppmquantall: line 65: `set widths=()'
Comment 1 Steve Grubb 2006-09-23 08:54:38 EDT
Created attachment 136999 [details]
patch correcting problem
Comment 2 Jindrich Novy 2006-09-24 01:05:24 EDT
Applied, thanks.
Comment 3 Alexey Tourbin 2007-08-19 15:24:34 EDT
This patch is wrong.
"set widths" will simply set $@ (the argv) to "witdths".
You need to remove "set" but keep "widths=()"

-- 
Alexey Tourbin
ALT Linux Team
Comment 4 Jindrich Novy 2007-08-20 08:48:40 EDT
Fixed, thanks.

Note You need to log in before you can comment on or make changes to this bug.